Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01963 Interface Major Always Jul 1, 2008, 11:36 Jul 6, 2008, 06:07
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver
Version 0.125u8 Fixed in Version 0.126 Build Debug
Summary 01963: screenless systems: [debug] memory leak with -mngwrite
Description --- memory leak warning ---
allocation #041328, 68 bytes (src/osd/windows/winfile.c:77)
allocation #041326, 584 bytes (src/lib/util/corefile.c:116)
allocation #041325, 256 bytes (src/lib/util/astring.c:127)
allocation #041323, 288 bytes (src/emu/fileio.c:224)
a total of 1196 bytes were not free()'d
Steps To Reproduce
Additional Information The leak was not present in 0.124u5, but is in 0.125u6.
Flags Debug build specific
Regression Version
Affected Sets / Systems screenless systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.01494
Firewave
Senior Tester
Jul 5, 2008, 21:00
It does happen with all screenless systems in MESS as well.